> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oneclickapply.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Apply to Job

> Applies to job based on job link, resume, and user details



## OpenAPI

````yaml POST /api/v1/apply
openapi: 3.0.1
info:
  title: One Click Apply API
  description: An API for applying to any job
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.oneclickapply.co/
security: []
paths:
  /api/v1/apply:
    post:
      description: Applies to job based on job link, resume, and user details
      parameters:
        - name: API-Key
          in: header
          description: User's API key
          required: true
          schema:
            type: string
      requestBody:
        description: Job to be applied to
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Apply'
        required: true
      responses:
        '200':
          description: Plant deleted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Application'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Apply:
      allOf:
        - required:
            - job_link
            - resume_key
            - content
          type: object
          properties:
            job_link:
              description: Link to  job posting.
              type: string
            content:
              description: User's information and custom information.
              type: string
            resume_key:
              description: User's Resume key.
              type: string
    Application:
      required:
        - app_id
        - app_url
        - status
        - status_code
        - ai_response
        - time
      type: object
      properties:
        app_id:
          description: The ID of the application in our records.
          type: integer
        app_url:
          description: The URL of the job applied to.
          type: string
        status:
          description: >-
            The status of the application. There are three possible values:
            `FAILED`, `SUCCESSFUL` and `IN PROGRESS`.
          type: string
        status_code:
          description: The status code of the application.
          type: integer
        ai_response:
          description: A list of the submitted responses to the application.
          type: array
        time:
          description: The timestamp of the application status.
          type: string
    Error:
      required:
        - status
        - message
      type: object
      properties:
        status:
          description: Error code
          type: integer
          format: int32
        message:
          description: Messagr from server - usually success or error
          type: string

````